Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21116

Description

The processing toolbox seems to build its cache of available PostGIS connections when QGIS is loaded and the cache is not updated

when I create a new database connection.

Steps to reproduce:

    1. Open QGIS

    2. Create new PostGIS connection

    3. Open the "Import into PostGIS" dialog

    4. Check the dropdown for PostGIS connections

What happens:

The new database connection is not shown in the list.

What should happen:

The new connection should appear in the list.

I've tested using QGIS 2.8.2 on a Windows 7 machine and an Ubuntu 15.04 machine.

Related issues:

Duplicated by QGIS Application - Bug report # 13344: Processing Import into P... Closed 2015-09-11

History

#1 - 2015-06-26 10:11 AM - Jürgen Fischer

- Tracker changed from Support to Bug report

- Project changed from QGIS Redmine (QGIS bug tracker) to QGIS Application

- Affected QGIS version set to 2.8.2

- Crashes QGIS or corrupts data set to No

#2 - 2015-06-26 10:11 AM - Jürgen Fischer

- Category set to Processing/Core

#3 - 2015-11-11 09:52 AM - Spencer Gardner

It just occurred to me that the likely cause is that the combo box that holds DB connections appears to be generated when the Processing plugin is first

initialized, even though a user may make changes before actually opening the dialog. Is there some way to prevent instantiation of the dialog until it is

actually called by the user via the GUI?

#4 - 2016-01-12 09:54 AM - Alexander Bruy

- Tag deleted (processing)
List of available connections populated during Processing algorithm initialization, that's why changes introduces after instatiating algorithm object are not

available.

#5 - 2017-02-10 12:15 AM - Arnaud Morvan

Will be fixed by https://github.com/qgis/QGIS/pull/4119

#6 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#7 - 2018-01-23 10:52 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Description updated

- Status changed from Open to Closed

Fixed since PR was merged
